Subject: [sipcore] RFC 6665: why only relaxing GRUU mandate from REFER perspective

From: Brett Tate <[email-masked]>
Date: Fri, 1 Aug 2014 07:08:21 -0400

Hi,

RFC 6665 section 4.5.1 appears to mandate GRUU usage for all notifiers.
Thus I was wondering, why only desiring to relax the rule from a REFER
perspective instead of also relaxing the GRUU mandate for other
subscriptions?

"Notifiers MUST implement the Globally Routable User Agent URI (GRUU)
  extension defined in [RFC5627], and MUST use a GRUU as their local
  target.  This allows subscribers to explicitly target desired
  devices."

Thanks,
Brett